Skip to main content
GET
/
organizations
/
{organization}
/
teams
List teams in an organization
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/teams \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.planetscale.com/v1/organizations/{organization}/teams"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.planetscale.com/v1/organizations/{organization}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "<string>",
  "current_page": 123,
  "next_page": 123,
  "next_page_url": "<string>",
  "prev_page": 123,
  "prev_page_url": "<string>",
  "data": [
    {
      "id": "<string>",
      "display_name": "<string>",
      "creator": {
        "id": "<string>",
        "display_name": "<string>",
        "avatar_url": "<string>"
      },
      "members": [
        {
          "id": "<string>",
          "display_name": "<string>",
          "name": "<string>",
          "email": "<string>",
          "avatar_url": "<string>",
          "created_at": "<string>",
          "updated_at": "<string>",
          "two_factor_auth_configured": true,
          "default_organization": {
            "id": "<string>",
            "name": "<string>",
            "created_at": "<string>",
            "updated_at": "<string>",
            "deleted_at": "<string>"
          },
          "sso": true,
          "managed": true,
          "directory_managed": true,
          "email_verified": true
        }
      ],
      "databases": [
        {
          "id": "<string>",
          "name": "<string>",
          "url": "<string>",
          "branches_url": "<string>"
        }
      ],
      "analyst_databases": [
        {
          "id": "<string>",
          "name": "<string>",
          "url": "<string>",
          "branches_url": "<string>"
        }
      ],
      "name": "<string>",
      "slug": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "description": "<string>",
      "managed": true
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The name of the organization

Query Parameters

q
string

Search term to filter teams by name

page
integer
default:1

If provided, specifies the page offset of returned results

per_page
integer
default:25

If provided, specifies the number of returned results

Response

Returns teams in the organization

type
string
required

The response type. Always "list" for paginated responses.

current_page
integer
required

The current page number

next_page
integer | null
required

The next page number, or null when this is the last page

next_page_url
string | null
required

The next page of results, or null when this is the last page

prev_page
integer | null
required

The previous page number, or null when this is the first page

prev_page_url
string | null
required

The previous page of results, or null when this is the first page

data
object[]
required